Уголок новичка
   325

Проблема с обновлениями

Доброго времени суток! У меня на ноутбуке стоит 32-битная XFCE. Проблема в том, что последнее время появились проблемы в обновлении через AUR. Не хотят собираться gstreamer0.10-base, gstreamer0.10-base-plugins, gstreamer0.10-ugly, gstreamer0.10-ugly-plugins, а теперь и gimagereader. Скажите пожалуйста, их можно просто игнорировать, добавив в необновляемые или надо искать какое-то решение?

12 комментариев

avatar
а что выводит терминал, какие ошибки? у меня эти пакеты буквально вчера-позавчера обновились из аура, все собралось.
Последний раз редактировалось
?

clock for blog
0
avatar
По поводу gstreamer0.10 здесь
manjaro.ru/blog/manjaro-xfce-edition/pakety-iz-aur.html

С gimagereader — надо посмотреть что пишет терминал.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
обновления не критичны, можно игнорить.
особенно семейку gstreamer, от них постепенно отказываются
Последний раз редактировалось
+1
avatar
В PKGBUILD gimagereader'а неверно прописана одна из зависимостей.
Необходимо при установке пакета отредактировать этот PKGBUILD.
В строке 13 нужно libxml++2.6 заменить на libxml++3.0
Я у себя при обновлении так и сделал. После чего пакет успешно собрался, установился и сама утилита без проблем запустилась.
Правда в работе я её не проверял.
+1
avatar
/etc/pacman.conf
IgnorePkg = <app> <app2> <app3>


Добавть свои программы. И они не будут обновляться.
Последний раз редактировалось
0
avatar
Всем огромное спасибо за советы. На счет установки gstreamer0.10 — в комментариях, при сборке, пишут — на 64 бита собирается, на 32 ошибка.
ani12 Спасибо за решение установки gimagereader. Сделал по вашей рекомендации, собралось.
D1mon Добавить в игнорируемые можно и в самом pacman. Настройки — добавить и в списке поставить галку на нужном компоненте. Результат автоматом прописывается в pacman.conf
TrubaShatal Раз обновления для gstreamer не критичны и не собираются, придется игнорировать, спасибо.
0
avatar
Добавить в игнорируемые можно и в самом pacman. Настройки — добавить и в списке поставить галку на нужном компоненте. Результат автоматом прописывается в pacman.conf
не путайте. То о чем Вы говорите- это Pamac, графический интерфейс к pacman. pacman — консольный менеджер пакетов.
А gstreamer0.10 лучше удалить (устарел), оставить gstreamer (он сейчас актуальный).
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Спасибо за исправленную ошибку — pamac. Удалять gstreamer0.10-base или весь комплект, часть установилась?
0
avatar
Удалять gstreamer0.10-base или весь комплект, часть установилась?
Если он никаким нужным програмам не требуется- удалите весь. Чего его без толку на диске держать.
?
Правильные ответы начинаются с правильных вопросов.
0
avatar
Спасибо за совет. Извините, но попрошу уточнения. Часть пакетов удалось удалить, осталось 3. Они не удаляются потому, что требуются xfce4-mixer и alsa mixer. Установил volumeicon. Посоветуйте пожалуйста как подключить к этим приложениям volumeicon, чтобы удалить оставшийся gstreamer?
0
avatar
volumeicon это же всего лишь апплет регулировки громкости, причём для ALSA, у вас, скорее всего, pulseaudio за звук отвечает, и евоный апплет xfce-шный в трее болтается.
xfce4-mixer — микшер графический, тоже для ALSA.
alsamixer, — консольный микшер, и вроде бы тоже для ALSA.

подозреваю, эти вещи вам не особо нужны
0
avatar
Вы правы, работает pulseaudio, ALSA просто установлена. Я хотел избавиться от gstreamer, который перестал собираться при обновлении, только запутался, извините.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.